CS::Animation::iSkeletonIKPhysicalNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonIKPhysicalNode Struct Reference

An implementation of the CS::Animation::iSkeletonIKNode based on physical simulation. More...

`#include <imesh/animnode/ik.h>`

Inheritance diagram for CS::Animation::iSkeletonIKPhysicalNode:

List of all members.

## Public Member Functions
virtual CS::Animation::iSkeletonRagdollNode * | GetRagdollNode () const =0
| Get the ragdoll node to be used by this node.
virtual void | SetRagdollNode (CS::Animation::iSkeletonRagdollNode *ragdollNode)=0
| Set the ragdoll node to be used by this node.

## Detailed Description

An implementation of the CS::Animation::iSkeletonIKNode based on physical simulation.

This node will use a CS::Animation::iSkeletonRagdollNode and apply physical constraints on the rigid bodies created by the ragdoll node.

This IK method has the advantage to be able to be physically accurate. It has for example the uncommon capability to manage the collisions with the body and the environment. This IK method is however not suited in applications where you need the IK solution to be independant of the history of the motion. This method is also less efficient than traditionial IK algorithms.

Warning:
  The current implementation does not care about the rotational component of the constraints.

See also:
  iSkeletonIKNode

Definition at line 233 of file ik.h.

## Member Function Documentation

virtual CS::Animation::iSkeletonRagdollNode* CS::Animation::iSkeletonIKPhysicalNode::GetRagdollNode | ( |  | ) | const`[pure virtual]`

Get the ragdoll node to be used by this node.

virtual void CS::Animation::iSkeletonIKPhysicalNode::SetRagdollNode | ( | CS::Animation::iSkeletonRagdollNode * | ragdollNode | ) | `[pure virtual]`

Set the ragdoll node to be used by this node.

The ragdoll node has to be active somewhere inside the animation blending tree (but its effective position has no importance).

The documentation for this struct was generated from the following file:

- imesh/animnode/ik.h